/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Temporal;

/**
 * @author obper
 */
@Entity
public class proKardex implements Serializable {

    @Column(name = "id")
    @Id
    private int id;
    @Column(name = "consultor_codigo")
    private String cosultorCodigo;
    @Column(name = "nombre_consultor")
    private String consultorNombre;
    @Column(name = "territorio")
    private String territorio;
    @Column(name = "abono_fecha")
    @Temporal(javax.persistence.TemporalType.DATE)
    private Date abonoFecha;
    @Column(name = "documento")
    private String documento;
    @Column(name = "factura_codigo")
    private String facturaCodigo;
    @Column(name = "factura_abonada")
    private String facturaAbonoda;
    @Column(name = "cargo_valor")
    private BigDecimal cargoValor;
    @Column(name = "detalle_abono_cantidad")
    private BigDecimal detalleAbonoCantidad;
    @Column(name = "abono_fecha_valor")
    @Temporal(javax.persistence.TemporalType.DATE)
    private Date abonoFechaValor;
    @Column(name = "resta")
    private BigDecimal resta;
    @Column(name = "cargo_total")
    private BigDecimal cargoTotal;
    @Column(name = "abono_total")
    private BigDecimal abonoTotal;
    @Column(name = "total")
    private BigDecimal total;
    @Column(name = "dias")
    private Integer dias;

    public String getCosultorCodigo() {
        return cosultorCodigo;
    }

    public void setCosultorCodigo(String cosultorCodigo) {
        this.cosultorCodigo = cosultorCodigo;
    }

    public String getConsultorNombre() {
        return consultorNombre;
    }

    public void setConsultorNombre(String consultorNombre) {
        this.consultorNombre = consultorNombre;
    }

    public String getTerritorio() {
        return territorio;
    }

    public void setTerritorio(String territorio) {
        this.territorio = territorio;
    }

    public Date getAbonoFecha() {
        return abonoFecha;
    }

    public void setAbonoFecha(Date abonoFecha) {
        this.abonoFecha = abonoFecha;
    }

    public String getDocumento() {
        return documento;
    }

    public void setDocumento(String documento) {
        this.documento = documento;
    }

    public String getFacturaCodigo() {
        return facturaCodigo;
    }

    public void setFacturaCodigo(String facturaCodigo) {
        this.facturaCodigo = facturaCodigo;
    }

    public String getFacturaAbonoda() {
        return facturaAbonoda;
    }

    public void setFacturaAbonoda(String facturaAbonoda) {
        this.facturaAbonoda = facturaAbonoda;
    }

    public BigDecimal getCargoValor() {
        return cargoValor;
    }

    public void setCargoValor(BigDecimal cargoValor) {
        this.cargoValor = cargoValor;
    }

    public BigDecimal getDetalleAbonoCantidad() {
        return detalleAbonoCantidad;
    }

    public void setDetalleAbonoCantidad(BigDecimal detalleAbonoCantidad) {
        this.detalleAbonoCantidad = detalleAbonoCantidad;
    }

    public Date getAbonoFechaValor() {
        return abonoFechaValor;
    }

    public void setAbonoFechaValor(Date abonoFechaValor) {
        this.abonoFechaValor = abonoFechaValor;
    }

    public BigDecimal getResta() {
        return resta;
    }

    public void setResta(BigDecimal resta) {
        this.resta = resta;
    }

    public BigDecimal getCargoTotal() {
        return cargoTotal;
    }

    public void setCargoTotal(BigDecimal cargoTotal) {
        this.cargoTotal = cargoTotal;
    }

    public BigDecimal getAbonoTotal() {
        return abonoTotal;
    }

    public void setAbonoTotal(BigDecimal abonoTotal) {
        this.abonoTotal = abonoTotal;
    }

    public BigDecimal getTotal() {
        return total;
    }

    public void setTotal(BigDecimal total) {
        this.total = total;
    }

    public Integer getDias() {
        return dias;
    }

    public void setDias(Integer dias) {
        this.dias = dias;
    }


    public proKardex(String cosultorCodigo, String consultorNombre, String territorio, Date abonoFecha, String documento, String facturaCodigo, String facturaAbonoda, BigDecimal cargoValor, BigDecimal detalleAbonoCantidad, Date abonoFechaValor, BigDecimal resta, BigDecimal cargoTotal, BigDecimal abonoTotal, BigDecimal total, Integer dias) {
        this.cosultorCodigo = cosultorCodigo;
        this.consultorNombre = consultorNombre;
        this.territorio = territorio;
        this.abonoFecha = abonoFecha;
        this.documento = documento;
        this.facturaCodigo = facturaCodigo;
        this.facturaAbonoda = facturaAbonoda;
        this.cargoValor = cargoValor;
        this.detalleAbonoCantidad = detalleAbonoCantidad;
        this.abonoFechaValor = abonoFechaValor;
        this.resta = resta;
        this.cargoTotal = cargoTotal;
        this.abonoTotal = abonoTotal;
        this.total = total;
        this.dias = dias;
    }

    public proKardex() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }


}
